/* Common styling for the Example skin */

@import "variables.less";

// Page layout

#mw-wrapper {
	max-width: @width;
	margin: 0 auto;
	position: relative;
	padding: 1em;
}
#p-logo {
	text-align: center;
	width: 10em;
	float: right;

	// Make logo image visible
	// The class sets the background image from $wgLogo, but we still need to give it a size in order to show up
	a.mw-wiki-logo {
		display: block;
		content: '';
		width: 10em;
		height: 10em;
		background-repeat: no-repeat;
		background-position: 50% 50%;
	}
}
.mw-body {
	position: relative;
	word-wrap: break-word;
}

// Some content stuff
.firstHeading {
	margin-top: 0;
}

.mw-indicators {
	float: right;
}

pre {
	overflow: auto;
	white-space: pre-wrap;
}

.center,
.center * {
	margin: auto;
	text-align: center;
}

// Splatter the menus and tools at the bottom
#mw-footer,
#page-tools,
#p-personal {
	margin: 1em 0;

	ul {
		list-style-type: none;
		margin: 0;
	}
	li {
		padding-right: 1em;
		display: inline-block;
	}
}
#page-tools .mw-portlet {
	display: inline-block;
}
#mw-navigation {
	margin: 1em 0;
}

// Footer
#mw-footer {
	clear: both;
	border-top: 1px solid @border;

	ul {
		margin-top: 1em;
	}
}
#footer-icons {
	float: right;
	margin: 0 0 1em 1em;
}

// hidden stuff
#page-tools h3,
#p-search h3,
#p-personal h3 {
	.hidden;
}


//fedora-specific stuff added is below

.sub-header{
background: #f3f3f3;
border-bottom: 1px solid #DDD;
	h1{
		border: none;
		padding-top: 0;
	}
}
.nav-tabs{
margin-bottom: -1px !important;
}

.footer a, .footer a:hover .footer a:visited
{
	color: #d9d9d9!important;
}

a:visited.btn-primary{
	color:white;
}

//remove discussion tab from main page
//we also remove the main tab here, because it doesn't really
//make sense once removing the discussion tab
.rootpage-Fedora_Project_Wiki li#ca-nstab-main,
.rootpage-Fedora_Project_Wiki li#ca-talk{
	display: none;
}

//support the toclimit classes
//https://www.mediawiki.org/wiki/Manual:Table_of_contents#Depth
.toclimit-1 li.toclevel-2,
.toclimit-2 li.toclevel-3,
.toclimit-3 li.toclevel-4,
.toclimit-4 li.toclevel-5,
.toclimit-5 li.toclevel-6,
.toclimit-6 li.toclevel-7,
.toclimit-7 li.toclevel-8
{
    display:none;
}

.mw-content-ltr ul,.mw-content-rtl .mw-content-ltr ul,
.mw-content-ltr ol, .mw-content-rtl .mw-content-ltr ol{
	margin-bottom: 1rem;
}